#pragma once
#include <cstdint>
#include <cstddef>
#include <string_view>
#include <string>
#include <functional>
#include <any>

#include "sl/strategies.h"

namespace sl {
	template<BufferStrategy b_strategy_t, SinkStrategy s_strategy_t, OverflowStrategy over_strategy_t, OutputStrategy out_strategy_t>
	void register_log(int log_id, std::string_view log_name, std::string_view buffer_filename, uint64_t buffer_size,
	                  uint64_t out_strategy_parameter, std::string_view output_directory);
	
	void process_log_config(const std::string_view& filename);
}

